# The Red Matrix: FKOAuthDataStore Class Reference

All Classes Namespaces Files Functions Variables Pages
FKOAuthDataStore Class Reference
Inheritance diagram for FKOAuthDataStore:

## Public Member Functions

| gen_token ()
| lookup_consumer ($consumer_key)
| lookup_token ($consumer, $token_type, $token)
| lookup_nonce ($consumer, $token, $nonce, $timestamp)
| new_request_token ($consumer, $callback=null)
| new_access_token ($token, $consumer, $verifier=null)

## Member Function Documentation

FKOAuthDataStore::gen_token | ( |  | ) |

Referenced by new_access_token(), and new_request_token().

FKOAuthDataStore::lookup_consumer | ( |  | $consumer_key | ) |

FKOAuthDataStore::lookup_nonce | ( |  | $consumer,
|  |  | $token,
|  |  | $nonce,
|  |  | $timestamp
| ) |  |

FKOAuthDataStore::lookup_token | ( |  | $consumer,
|  |  | $token_type,
|  |  | $token
| ) |  |

FKOAuthDataStore::new_access_token | ( |  | $token,
|  |  | $consumer,
|  |  | $verifier = `null`
| ) |  |

FKOAuthDataStore::new_request_token | ( |  | $consumer,
|  |  | $callback = `null`
| ) |  |

The documentation for this class was generated from the following file:

- include/oauth.php